Transfer
P2P Transfer
Transfers funds from one user’s wallet to another user’s wallet.
- Endpoint
POST {{baseUrl}}/issuing/api/:version/wallet/transfer
Description
This API enables peer-to-peer wallet transfers. The sender initiates a transfer to another registered user by providing the receiver’s email and transfer details such as amount and purpose of transfer.
🔗 Path Parameters
version string required
API version number. Default value is
v1.📩 Request Headers
x-api-key string required
Shared X-API key
x-product-id string required
Shared Product ID
x-cardholder-id string required
Unique identifier of the cardholder
x-client-id string
Client identification key
x-request-id string required
Idempotency key for request tracking
Content-Type string required
Must be
application/jsonAuthorization string
Bearer access token
📦 Body Parameters
email string required
Email ID of the receiver.
amount double required
Amount to be transferred.
description string required
Short description/purpose for the transfer.
- 🧩 Examples
- 🧪 Try It Out
Request Example
- cURL
- Python
- Java
- NodeJs
curl --location --request POST \
--url '{{baseUrl}}/issuing/api/:version/wallet/transfer' \
--header 'x-api-key: {{Shared X-API key}}' \
--header 'x-product-id: {{Shared ProductID}}' \
--header 'x-cardholder-id: {{CardholderID}}' \
--header 'x-client-id: {{ClientID}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{AccessToken}}' \
--data-raw '{
"email": "johnsmith11@yopmail.com",
"amount": 5,
"description": "testing P2P"
}'
import requests
import json
url = "{{baseUrl}}/issuing/api/:version/wallet/transfer"
payload = json.dumps({
"email": "johnsmith11@yopmail.com",
"amount": 5,
"description": "testing P2P"
})
headers = {
'x-api-key': '{{Shared X-API key}}',
'x-product-id': '{{Shared ProductID}}',
'x-cardholder-id': '{{CardholderID}}',
'x-client-id': '{{ClientID}}',
'x-request-id': '{{IdempotencyKey}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n \"email\": \"johnsmith11@yopmail.com\",\n \"amount\": 5,\n \"description\": \"testing P2P\"\n}");
Request request = new Request.Builder()
.url("{{baseUrl}}/issuing/api/:version/wallet/transfer")
.method("POST", body)
.addHeader("x-api-key", "{{Shared X-API key}}")
.addHeader("x-product-id", "{{Shared ProductID}}")
.addHeader("x-cardholder-id", "{{CardholderID}}")
.addHeader("x-client-id", "{{ClientID}}")
.addHeader("x-request-id", "{{IdempotencyKey}}")
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer {{AccessToken}}")
.build();
Response response = client.newCall(request).execute();
const axios = require('axios');
let data = JSON.stringify({
"email": "johnsmith11@yopmail.com",
"amount": 5,
"description": "testing P2P"
});
let config = {
method: 'post',
maxBodyLength: Infinity,
url: '{{baseUrl}}/issuing/api/:version/wallet/transfer',
headers: {
'x-api-key': '{{Shared X-API key}}',
'x-product-id': '{{Shared ProductID}}',
'x-cardholder-id': '{{CardholderID}}',
'x-client-id': '{{ClientID}}',
'x-request-id': '{{IdempotencyKey}}',
'Content-Type': 'application/json',
'Authorization': 'Bearer {{AccessToken}}'
},
data : data
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
Response Example
- 200: Success
- 400: Error
{
"status": "success",
"message": "Funds Transferred Successfully!",
"code": 200,
"data": [
{
"id": "fund-transfer-id"
}
]
}
{
"code": 400,
"message": "Error Message",
"status": "error"
}
💸 P2P Transfer — Sandbox
🔐 Headers
x-api-key:
x-product-id:
x-cardholder-id:
x-client-id:
x-request-id:
Authorization: